Bug 246357

Summary: sysutils/cciss_vol_status: Patch to fix &&/&-incorrect usage and a 1-byte buffer overrun
Product: Ports & Packages Reporter: Peter Eriksson <pen>
Component: Individual Port(s)Assignee: Muhammad Moinur Rahman <bofh>
Status: In Progress ---    
Severity: Affects Some People CC: bofh, fw
Priority: --- Keywords: patch
Version: LatestFlags: fw: maintainer-feedback+
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=243530
Attachments:
Description Flags
Patch to fix a number of bugs in cciss_vol_status 1.12
none
Version 2 of patch to fix &&/& and writing outside an array
none
v3 of ports patch for cciss_vol_status none

Description Peter Eriksson 2020-05-10 12:53:45 UTC
Created attachment 214348 [details]
Patch to fix a number of bugs in cciss_vol_status 1.12

Please find enclosed a simple patch that fixes a number of bugs in cciss_vol_status 1.12:

1. Incorrect usage of "&&" (logical-AND) that should be "&" (bitwise-AND).
2. Off-by-one buffer overrun.
Comment 1 Peter Eriksson 2020-05-10 13:03:09 UTC
Created attachment 214349 [details]
Version 2 of patch to fix &&/& and writing outside an array

Also fixes a pretty-printing issue (so the output lines up nicely for big disk enclosures.
Comment 2 Frank Wall 2020-06-16 11:51:48 UTC
Since cciss_vol_status seems to have been abandoned upstream, the patch is a good way to keep it working and I appreciate it. However, I do no longer have access to compatible hardware, so I can't test it and must rely completely on the submitter's testing.

Anyway, thanks! Please commit.
Comment 3 Peter Eriksson 2020-06-19 15:30:18 UTC
Created attachment 215791 [details]
v3 of ports patch for cciss_vol_status

Updated diff that updates the included patch in the Port to fix the problems mentioned here. Also updates the port Makefile to fix a minor warning, and changes MAINTAINER to me (from discussion with the original maintainer that no longer have access to compatible hardware).
Comment 4 Peter Eriksson 2021-02-20 12:57:06 UTC
Any progress in getting this committed?